Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Disputes

  • List disputes

  • Retrieve dispute

  • Accept dispute

  • List dispute evidence

  • Create dispute evidence file

  • Create dispute evidence text

  • Delete dispute evidence

  • Retrieve dispute evidence

  • Submit evidence

  • Webhooks

  • dispute.created

  • dispute.evidence.created

  • dispute.evidence.deleted

  • dispute.state.updated

<- Disputes API

Disputes API

All versions ->

Delete dispute evidence

DELETE

 /v2/disputes/{dispute_id}/evidence/{evidence_id}

Removes specified evidence from a dispute.

Square does not send the bank any evidence that is removed.

Permissions:DISPUTES_WRITE
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

dispute_id

string

Required

The ID of the dispute from which you want to remove evidence.

Link to section

evidence_id

string

Required

The ID of the evidence you want to remove.

Link to section

Response fields

Link to section

errors

Information about errors encountered during the request.

Link to section

Examples

All versions ->

DELETE /v2/disputes/{dispute_id}/evidence/{evidence_id}
curl https://connect.squareup.com/v2/disputes/bVTprrwk0gygTLZ96VX1oB/evidence/CpfnkwGselCwS8QFvxN6 \ -X DELETE \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{}